﻿html {
    width: 100%;
}

body {
    overflow-x: hidden !important;
    font-size: 1rem !important;
}

body, p {
    font-family: 'Cairo', sans-serif !important;
}

    body.show-spinner > main {
        overflow: hidden !important;
    }

p {
    font-weight: 400
}

.swal2-title {
    text-align: center !important;
}

/* Hide everything under body tag */
body.show-spinner > * {
    opacity: 0;
}

/* Spinner */
body.show-spinner::after {
    content: " ";
    display: inline-block;
    width: 30px;
    height: 30px;
    border: 2px solid rgba(0, 0, 0, 0.2);
    border-radius: 50%;
    border-top-color: rgba(0, 0, 0, 0.3);
    animation: spin 1s ease-in-out infinite;
    -webkit-animation: spin 1s ease-in-out infinite;
    left: calc(50% - 15px);
    top: calc(50% - 15px);
    position: fixed;
    z-index: 1;
}

/*.bootstrap-tagsinput, .form-control, .custom-select, .rtl .input-group-text {
    border-radius: 0.5rem !important;
}

.rounded-left-0 {
    border-bottom-left-radius: 0 !important;
    border-top-left-radius: 0 !important;
}

.rounded-right-0 {
    border-bottom-right-radius: 0 !important;
    border-top-right-radius: 0 !important;
}

.rounded-left {
    border-bottom-left-radius: 0.5rem !important;
    border-top-left-radius: 0.5rem !important;
}

.rounded-right {
    border-bottom-right-radius: 0.5rem !important;
    border-top-right-radius: 0.5rem !important;
}*/


.scroll-table table {
    display: flex;
    flex-direction: column;
    min-width: 100%;
    max-width: 100%;
    overflow-x: auto;
    place-items: flex-start;
    max-height: calc(100vh - 130px);
    margin-top: 10px;
}

    .scroll-table table thead {
        position: sticky;
        top: 0;
        z-index: 1;
        background: #f4f5f6;
        width: 100%;
    }

        .scroll-table table thead tr {
            display: flex;
            /*flex-direction: column;*/
            width: 100%;
        }

            .scroll-table table thead tr th {
                padding: 10px 5px;
                width: 100px;
                min-width: 100px;
                max-width: 100px;
                background-color: #f4f5f6 !important;
                height: 57px;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                text-align: center;
                border-left: 1px solid #e8e8e8;
            }

                .scroll-table table thead tr th:first-child {
                    width: 450px;
                    min-width: 450px;
                    position: sticky;
                    right: 0;
                    z-index: 1;
                    color: #00365a;
                    font-size: 1rem;
                    font-weight: bold;
                }

                    .scroll-table table thead tr th:first-child .row > div {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                    }

                        .scroll-table table thead tr th:first-child .row > div:not(:last-child) {
                            border-left: 1px solid #e8e8e8;
                        }

                .scroll-table table thead tr th p {
                    text-align: center;
                    color: #00365a;
                }

                .scroll-table table thead tr th b {
                    font-size: 17px;
                    color: #00365a;
                }

    .scroll-table table tbody tr.sticky-columns {
        position: sticky;
        right: 0;
        display: flex;
        flex-direction: column;
        width: 450px !important;
        box-shadow: 3px 5px 10px rgba(0, 0, 0, .08);
        z-index: 0;
        background: #f4f5f6;
        float: right;
    }

        .scroll-table table tbody tr.sticky-columns td {
            width: 100% !important;
            padding: 0 !important;
            border: 0 !important;
            height: 55px;
            text-align: center;
            border-top: 1px solid #e8e8e8 !important;
            margin: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            font-size: 15px;
        }

            .scroll-table table tbody tr.sticky-columns td b {
                font-size: 20px;
                line-height: 1.2;
                color: #00365a;
            }

            .scroll-table table tbody tr.sticky-columns td .row > div {
                display: flex;
                justify-content: center;
                align-items: center;
            }

                .scroll-table table tbody tr.sticky-columns td .row > div[class^="col-"] {
                    padding: 0 0.25rem;
                }

                .scroll-table table tbody tr.sticky-columns td .row > div:not(:last-child) {
                    border-left: 1px solid #e8e8e8;
                }

    .scroll-table table .border-left {
        border-color: #e8e8e8;
    }

    .scroll-table table tbody {
        width: 100%;
    }

        .scroll-table table tbody tr {
            display: flex;
        }

            .scroll-table table tbody tr td {
                padding: 0;
                border-left: 1px solid #e8e8e8;
                width: 100px;
                min-width: 100px;
                height: 55px;
                max-height: 55px;
                border-bottom: 1px solid #e8e8e8;
            }

            .scroll-table table tbody tr.days-block td {
                width: 80px;
                justify-content: center;
                border-left: 1px solid #e8e8e8;
                padding: 10px;
                margin: 0 3px;
            }

            .scroll-table table tbody tr td p, .scroll-table table tbody tr td b {
                text-align: center;
            }

            .scroll-table table tbody tr td a {
                color: #fff;
            }

            .scroll-table table tbody tr td a, .scroll-table table tbody tr td span {
                text-align: center;
                padding: 5px 5px;
                width: 100%;
                height: 55px;
                border-radius: 0;
                display: flex;
                align-items: center;
                justify-content: center;
            }

            .scroll-table table tbody tr td[class*="text-black"] a {
                color: #3a3a3a;
            }

            .scroll-table table tbody tr td a .price {
                font-size: 17px;
            }


/*.rtl .datepicker-days .table-condensed .prev, .rtl .datepicker-days .table-condensed .next {
    transform: rotate(-180deg);
}*/

.mw-auto {
    max-width: auto !important;
}

.w-max {
    width: max-content !important;
}

.mfp-container {
    text-align: center !important;
}

img.mfp-img, .mfp-content {
    text-align: left !important;
}

/* padding-bottom and top for image */
.mfp-no-margins img.mfp-img {
    padding: 0;
}
/* position of shadow behind the image */
.mfp-no-margins .mfp-figure:after {
    top: 0;
    bottom: 0;
}
/* padding for main container */
.mfp-no-margins .mfp-container {
    padding: 0;
}


.custom-select {
    background-color: transparent !important;
}

.datepicker table tr td span {
    text-align: center
}

.rtl .modal .modal-footer {
    justify-content: space-between;
}

table.dataTable td {
    padding: 20px;
}

.rtl .datepicker-dropdown {
    z-index: 10000 !important;
}

.gap {
    gap: 0.5rem;
}

.icon-cards-row .card-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.custom-svg-styles {
    stroke: #008ecc;
    stroke-width: 1.7px;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    to {
        -webkit-transform: rotate(360deg);
    }
}

.theme-colors .theme-color {
    width: unset !important;
    height: unset !important;
    padding: 0.25rem !important;
}

    .theme-colors .theme-color:not(.active) {
        color: #fff;
    }

    .theme-colors .theme-color.active {
        pointer-events: none;
    }

    .theme-colors .theme-color.active, .theme-colors .theme-color:hover {
        color: #008ecc;
    }

.form-group.error {
    color: red;
}

table.table-with-action tfoot th:last-child input {
    display: none;
}

tfoot {
    display: table-row-group;
}

    tfoot input:first-child {
        width: 80%
    }

tbody tr .select-checkbox:before {
    content: '';
    display: block;
    vertical-align: middle;
    width: 20px;
    height: 20px;
    border: 1px solid #008ecc;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
}

tbody tr.selected .select-checkbox:before {
    content: '✔';
    color: #fff;
    background-color: #008ecc;
}

.switch-container {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    margin-inline-end: 0.5rem;
    font-size: 18px;
}

    .switch-container span, .switch-container a {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }


.direction-radio + label:before, .direction-radio + label:after {
    content: unset;
}

.direction-radio + label {
    cursor: pointer;
}

.custom-switch.theme-switcher .custom-switch-input + .custom-switch-btn:after {
    font-family: "iconsminds";
    content: '\eb83';
    color: #000;
    font-size: 0.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.custom-switch.theme-switcher .custom-switch-input:checked + .custom-switch-btn:after {
    content: '\eb95';
    color: #fff;
}

@media print {
    html, .card {
        background: #fff !important;
        color: #000 !important;
    }

    .row.d-print-table {
        width: 100%;
    }

        .row.d-print-table > .d-print-cell {
            display: table-cell !important;
            width: calc(100% / 6);
        }

    .rtl table.dataTable thead .sorting:before, .rtl table.dataTable thead .sorting_asc:before, .rtl table.dataTable thead .sorting_asc_disabled:before, .rtl table.dataTable thead .sorting_desc:before, .rtl table.dataTable thead .sorting_desc_disabled:before, table .dataTable thead .sorting:before, table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:before, table.dataTable thead .sorting_desc_disabled:after {
        display: none;
    }

    table {
        border: 1px solid #3a3a3a;
    }

        table.dataTable tr th {
            border-bottom: 1px solid #3a3a3a;
            padding-inline-start: 1rem !important;
        }

            table.dataTable td:not(.no-print-border), table.dataTable tr th:not(.no-print-border) {
                border-inline-end: 1px solid #3a3a3a;
            }
}

@media screen and (max-width: 1192px) {
    .navbar .navbar-left, .navbar .navbar-right {
        flex-basis: unset !important;
    }

    .navbar .navbar-logo {
        order: 2;
    }

    .navbar .navbar-left {
        order: 0;
    }

    .navbar .navbar-right {
        order: 1;
    }
}

.ltr {
    direction: ltr !important;
}

.rtl {
    direction: rtl !important;
}

.custom-select {
    line-height: unset !important;
}

.worker-photo {
    max-width: 100px; /* Adjust as needed */
    max-height: 100px; /* Adjust as needed */
}

.evacuation-data-table tfoot th:first-child input {
    display: none;
}

.suggestions-list {
    border: 1px solid #ccc;
    max-height: 200px;
    overflow-y: auto;
}

    .suggestions-list div {
        padding: 8px;
        cursor: pointer;
    }

        .suggestions-list div:hover {
            background-color: #f0f0f0;
        }

@media screen and (min-width: 575px) {

    table.dataTable.data-table-standard2 tbody tr:nth-child(odd) td {
        border-bottom: 0;
    }

    table.dataTable.data-table-standard2 tbody tr:nth-child(even) td {
        border-bottom-width: 3px;
        border-bottom-color: #008ecc;
    }

    table.dataTable {
        table-layout: fixed;
    }

        table.dataTable td,
        table.dataTable th {
            overflow-wrap: normal;
        }

        table.dataTable thead tr th {
            width: 1% !important;
        }

            table.dataTable thead tr th.disabled {
                pointer-events: none;
            }

                table.dataTable thead tr th.disabled:before, table.dataTable thead tr th.disabled:after {
                    content: unset;
                }
}


.overflow-unset {
    overflow-wrap: unset !important;
}

.menu .main-menu ul li a {
    text-align: center;
}
